#ifndef MAINWINDOWUI_H
#define MAINWINDOWUI_H

#include <QWidget>
#include <QLabel>
#include <QSpinBox>
#include <QGridLayout>
#include <QPushButton>
#include <QTextEdit>
#include <QDialog>

class mainwindowui : public QWidget
{
    Q_OBJECT
public:
    explicit mainwindowui(QWidget *parent = 0);
    
signals:
    
public slots:
    void displayMessage(QString message);

public:
    QLabel *usbDeviceNumber_LABEL;
    QLabel *linkNumber_LABEL;
    QLabel *starDundeeStatusQueryDialogLabel;

    QSpinBox *usbDeviceNumber_SPINBOX;
    QSpinBox *linkNumber_SPINBOX;

    QGridLayout *connection_LAYOUT;
    QGridLayout *starDundeeStatusQueryDialogLayout;

    QDialog *starDundeeStatusQueryDialog;

    QPushButton *startTimeButton;
    QPushButton *sendTimecodeButton;
    QPushButton *sendPacketAndTimecodeButton;
    QPushButton *starDundeeStatusQueryRetryButton;
    QPushButton *starDundeeStatusQueryAbortButton;

    QTextEdit* console;
};

#endif // MAINWINDOWUI_H
